Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4126 - Neomagic Magicmedia256AV Support
Summary: Neomagic Magicmedia256AV Support
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-20 20:15 UTC by ralph
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 21:31:33 UTC


Attachments (Terms of Use)

Description ralph 1999-07-20 20:15:11 UTC
hello,
  i was wondering if you have a driver and/or support
information for the Neomagic Magicmedia 256AV video/audio
chipset?  im running one of the new Sony VAIO Z505SX
superslim notebooks with RedHat Linux 6.0 on it.  the video
seems to work great at 1024x768...  the previous vaios use
a sb16 compatible chipset (which im sure all of you already
know :)  any ideas what i can do?

Comment 1 Bill Nottingham 1999-07-20 20:27:59 UTC
What does lspci and/or pnpdump say?

Comment 2 ralph 1999-07-20 20:41:59 UTC
lspci relevant<sp> information:
00:08.0 VGA compatible controller: Neomagic Corporation [MagicGraph
256AV] (rev 20)
00:08.1 Multimedia Audio Controller: Neomagic Corporation: Unknown
device 8005 (rev 20)

pnpdump:
# No board found

Comment 3 Bill Nottingham 1999-07-20 20:58:59 UTC
OK. There isn't a native driver for it, however, you can try the
following:

The NeoMagic sound emulates a WSS (AFAIR); so you could try:

modprobe ad1848 io=0x530 irq=<irq that the card uses, use lspci/cat
/proc/pci> dma=1

and see if that helps; the last ditch version would be:

modprobe sb io=0x220 irq=<some irq> dma=1

The main problem would be discovering the card's settings - booting
to Windows could be helpful.

Comment 4 greg 1999-07-21 00:29:59 UTC
i received the following email from NeoMagic:

Date: Tue, 20 Jul 1999 14:55:18 -0700
From: Tech Support <support@neomagic.com>
To: cyber@z.ml.org
Subject: Re: Audio Chipset Drivers
Please be aware that we are currently working on making this
available.  At this point in time, we are unable to anticipate the
release date of this driver.  Please check back with  us on a later
date.
Thank you for your inquiry.
NeoMagic Tech Support

, the settings you suggested did not work , i didnt not load windows
at all on this notebook, (was planning on returning it :)

the pci sound card is on irq 9 , not sure of the io

Comment 5 Bill Nottingham 1999-08-18 21:31:59 UTC
Unfortunately, we really can't support this card until a specific
driver is written for it. Probably the only way you could currently
get it to work is to warm boot from dos after loading compatibility
drivers there.


Note You need to log in before you can comment on or make changes to this bug.